org.springframework.jca.cci

## Class RecordTypeNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.InvalidDataAccessResourceUsageException
              - - org.springframework.jca.cci.RecordTypeNotSupportedException

All Implemented Interfaces:
  Serializable

    public class RecordTypeNotSupportedException
    extends InvalidDataAccessResourceUsageException

Exception thrown when the creating of a CCI Record failed because the connector doesn't support the desired CCI Record type.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RecordTypeNotSupportedException(String msg, ResourceException ex)` Constructor for RecordTypeNotSupportedException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RecordTypeNotSupportedException

    public RecordTypeNotSupportedException(String msg,
                                   ResourceException ex)

Constructor for RecordTypeNotSupportedException.

Parameters:
  `msg` - message
  `ex` - ResourceException root cause